package com.memorynotfound.hibernate;

import javax.persistence.*;

@Entity
@Table(name = "TBL_DOG")
public class Dog {

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "DOG_ID")
    private Integer id;

    @Column(name = "NAME")
    private String name;

    @PrimaryKeyJoinColumn
    @OneToOne(cascade = CascadeType.ALL, optional = false)
    private Collar collar;

    public Dog() {
    }

    public Dog(String name, Collar collar) {
        this.name = name;
        this.collar = collar;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Collar getCollar() {
        return collar;
    }

    public void setCollar(Collar collar) {
        this.collar = collar;
    }

    @Override
    public String toString() {
        return "Dog{" +
                "id=" + id +
                ", name='" + name + '\'' +
                ", collar=" + collar +
                '}';
    }
}
